Skip to main content
POST
Register a trade signature

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Body

application/json

Request body for submitting a maker trade signature

tradeId
string<uuid>
required

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

address
string
required

The wallet address signing the trade presign data

Example:

"0x1234567890abcdef1234567890abcdef12345678"

details
object
required

The maker Permit2 message for signature registration. Contains the signed Permit2 witness transfer data including maker-specific witness details with consideration and fee.

signature
string
required

The signature generated from signing the trade presign data

Response

200 - application/json

Trade signature registered successfully

Response from registering a trade signature

tradeId
string<uuid>
required

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

createDate
string<date-time>
required

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

updateDate
string<date-time>
required

Date and time when the resource was last updated

Example:

"2023-01-01T12:04:05Z"